<?php
/**
 * @file
 * popsu_actualites.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function popsu_actualites_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'actualites';
  $view->description = 'Liste des actualités POPSU';
  $view->tag = 'POPSU';
  $view->base_table = 'node';
  $view->human_name = 'Actualités';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Actualités';
  $handler->display->display_options['use_more_always'] = TRUE;
  $handler->display->display_options['use_more_text'] = 'Voir toutes les actualités';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Appliquer';
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Réinitialiser';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Trier par';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Éléments par page';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- Tout -';
  $handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Décalage';
  $handler->display->display_options['pager']['options']['tags']['first'] = '« premier';
  $handler->display->display_options['pager']['options']['tags']['previous'] = '‹ précédent';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'suivant ›';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'dernier »';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Champ: Contenu : Chemin */
  $handler->display->display_options['fields']['path']['id'] = 'path';
  $handler->display->display_options['fields']['path']['table'] = 'node';
  $handler->display->display_options['fields']['path']['field'] = 'path';
  $handler->display->display_options['fields']['path']['label'] = '';
  $handler->display->display_options['fields']['path']['exclude'] = TRUE;
  $handler->display->display_options['fields']['path']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['path']['alter']['text'] = '/actualites';
  $handler->display->display_options['fields']['path']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['path']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['path']['absolute'] = TRUE;
  /* Champ: Contenu : Image de l'actualité */
  $handler->display->display_options['fields']['field_popsu_actu_image']['id'] = 'field_popsu_actu_image';
  $handler->display->display_options['fields']['field_popsu_actu_image']['table'] = 'field_data_field_popsu_actu_image';
  $handler->display->display_options['fields']['field_popsu_actu_image']['field'] = 'field_popsu_actu_image';
  $handler->display->display_options['fields']['field_popsu_actu_image']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_actu_image']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_image']['alter']['path'] = '[path]';
  $handler->display->display_options['fields']['field_popsu_actu_image']['alter']['absolute'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_image']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_actu_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_popsu_actu_image']['settings'] = array(
    'image_style' => 'popsu-actu-home',
    'image_link' => '',
  );
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '<a href="[path]">[title]</a>';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Champ: Contenu : Sous-titre de l'actualité */
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['id'] = 'field_popsu_actu_soustitre';
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['table'] = 'field_data_field_popsu_actu_soustitre';
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['field'] = 'field_popsu_actu_soustitre';
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['alter']['text'] = '[field_popsu_actu_soustitre]';
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['hide_empty'] = TRUE;
  /* Champ: Contenu : Date de début de validité de l'actualité */
  $handler->display->display_options['fields']['field_popsu_actu_date']['id'] = 'field_popsu_actu_date';
  $handler->display->display_options['fields']['field_popsu_actu_date']['table'] = 'field_data_field_popsu_actu_date';
  $handler->display->display_options['fields']['field_popsu_actu_date']['field'] = 'field_popsu_actu_date';
  $handler->display->display_options['fields']['field_popsu_actu_date']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_actu_date']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_date']['alter']['text'] = '[field_popsu_actu_soustitre]';
  $handler->display->display_options['fields']['field_popsu_actu_date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_actu_date']['settings'] = array(
    'format_type' => 'short',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Champ: Contenu : Texte de l'actualité */
  $handler->display->display_options['fields']['field_popsu_actu_body']['id'] = 'field_popsu_actu_body';
  $handler->display->display_options['fields']['field_popsu_actu_body']['table'] = 'field_data_field_popsu_actu_body';
  $handler->display->display_options['fields']['field_popsu_actu_body']['field'] = 'field_popsu_actu_body';
  $handler->display->display_options['fields']['field_popsu_actu_body']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_actu_body']['alter']['text'] = '<a href="[path]">[field_popsu_actu_body]</a>';
  $handler->display->display_options['fields']['field_popsu_actu_body']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_body']['alter']['path'] = '[path]';
  $handler->display->display_options['fields']['field_popsu_actu_body']['alter']['absolute'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_body']['alter']['max_length'] = '200';
  $handler->display->display_options['fields']['field_popsu_actu_body']['alter']['strip_tags'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_body']['alter']['trim'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_body']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Lien de modification */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'Modifier cette actu';
  /* Champ: Contenu : Lien */
  $handler->display->display_options['fields']['view_node']['id'] = 'view_node';
  $handler->display->display_options['fields']['view_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['view_node']['field'] = 'view_node';
  $handler->display->display_options['fields']['view_node']['label'] = '';
  $handler->display->display_options['fields']['view_node']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['view_node']['alter']['text'] = '<a href="[path]">voir toutes les actualités</a>';
  $handler->display->display_options['fields']['view_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view_node']['text'] = 'voir toutes les actualités';
  /* Critère de tri: Contenu : Date de début de validité de l&#039;actualité (field_popsu_actu_date) */
  $handler->display->display_options['sorts']['field_popsu_actu_date_value']['id'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['sorts']['field_popsu_actu_date_value']['table'] = 'field_data_field_popsu_actu_date';
  $handler->display->display_options['sorts']['field_popsu_actu_date_value']['field'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['sorts']['field_popsu_actu_date_value']['order'] = 'DESC';
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_actu' => 'popsu_actu',
  );

  /* Display: Actualite Last for Home Pane */
  $handler = $view->new_display('panel_pane', 'Actualite Last for Home Pane', 'panel_pane_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Actualite';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['use_more'] = FALSE;
  $handler->display->display_options['defaults']['use_more_always'] = FALSE;
  $handler->display->display_options['defaults']['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_always'] = TRUE;
  $handler->display->display_options['defaults']['use_more_text'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'Voir toutes les actualités';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '1';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Critère de tri: Contenu : Date de début de validité de l&#039;actualité (field_popsu_actu_date) */
  $handler->display->display_options['sorts']['field_popsu_actu_date_value']['id'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['sorts']['field_popsu_actu_date_value']['table'] = 'field_data_field_popsu_actu_date';
  $handler->display->display_options['sorts']['field_popsu_actu_date_value']['field'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_actu' => 'popsu_actu',
  );
  /* Critère de filtrage: Contenu : Date de début de validité de l&#039;actualité (field_popsu_actu_date) */
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['id'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['table'] = 'field_data_field_popsu_actu_date';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['field'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['operator'] = '<=';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['default_date'] = 'now';
  /* Critère de filtrage: Contenu : Date de fin de validité de l&#039;actualité (field_popsu_actu_date_fin) */
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['id'] = 'field_popsu_actu_date_fin_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['table'] = 'field_data_field_popsu_actu_date_fin';
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['field'] = 'field_popsu_actu_date_fin_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['operator'] = '>=';
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['default_date'] = 'now';
  /* Critère de filtrage: Contenu : Publier sur la page d&#039;accueil (field_popsu_actu_enhome) */
  $handler->display->display_options['filters']['field_popsu_actu_enhome_value']['id'] = 'field_popsu_actu_enhome_value';
  $handler->display->display_options['filters']['field_popsu_actu_enhome_value']['table'] = 'field_data_field_popsu_actu_enhome';
  $handler->display->display_options['filters']['field_popsu_actu_enhome_value']['field'] = 'field_popsu_actu_enhome_value';
  $handler->display->display_options['filters']['field_popsu_actu_enhome_value']['value'] = array(
    1 => '1',
  );
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['link_to_view'] = '0';

  /* Display: Actualites Menu A venir */
  $handler = $view->new_display('block', 'Actualites Menu A venir', 'block_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Actualites a venir';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['class'] = 'menu';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Contenu : Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '<span class="actu-link actu-link-[nid]">[title]</span>';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Critère de tri: Contenu : Date de début de validité de l&#039;actualité (field_popsu_actu_date) */
  $handler->display->display_options['sorts']['field_popsu_actu_date_value']['id'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['sorts']['field_popsu_actu_date_value']['table'] = 'field_data_field_popsu_actu_date';
  $handler->display->display_options['sorts']['field_popsu_actu_date_value']['field'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_actu' => 'popsu_actu',
  );
  /* Critère de filtrage: Contenu : Date de fin de validité de l&#039;actualité (field_popsu_actu_date_fin) */
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['id'] = 'field_popsu_actu_date_fin_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['table'] = 'field_data_field_popsu_actu_date_fin';
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['field'] = 'field_popsu_actu_date_fin_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['operator'] = '>';
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['default_date'] = 'now';
  /* Critère de filtrage: Contenu : Date de début de validité de l&#039;actualité (field_popsu_actu_date) */
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['id'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['table'] = 'field_data_field_popsu_actu_date';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['field'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['operator'] = '<=';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['default_date'] = 'now';
  $handler->display->display_options['block_description'] = 'POPSU - Actualites - Menu A venir';

  /* Display: Actualites Menu Passees */
  $handler = $view->new_display('block', 'Actualites Menu Passees', 'block_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Actualites passees';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['class'] = 'menu';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Contenu : Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '<span class="actu-link actu-link-[nid]">[title]</span>';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_actu' => 'popsu_actu',
  );
  /* Critère de filtrage: Contenu : Date de fin de validité de l&#039;actualité (field_popsu_actu_date_fin) */
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['id'] = 'field_popsu_actu_date_fin_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['table'] = 'field_data_field_popsu_actu_date_fin';
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['field'] = 'field_popsu_actu_date_fin_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['operator'] = '<=';
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['default_date'] = 'now';
  /* Critère de filtrage: Contenu : Date de début de validité de l&#039;actualité (field_popsu_actu_date) */
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['id'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['table'] = 'field_data_field_popsu_actu_date';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['field'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['operator'] = '<=';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['default_date'] = 'now';
  $handler->display->display_options['block_description'] = 'POPSU - Actualites - Menu Passees';

  /* Display: Actualites CSS menu active */
  $handler = $view->new_display('panel_pane', 'Actualites CSS menu active', 'panel_pane_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['style_options']['default_row_class'] = FALSE;
  $handler->display->display_options['style_options']['row_class_special'] = FALSE;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Contenu : Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Champ: Global : PHP */
  $handler->display->display_options['fields']['php']['id'] = 'php';
  $handler->display->display_options['fields']['php']['table'] = 'views';
  $handler->display->display_options['fields']['php']['field'] = 'php';
  $handler->display->display_options['fields']['php']['label'] = '';
  $handler->display->display_options['fields']['php']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['php']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php']['php_value'] = '$row->nid';
  $handler->display->display_options['fields']['php']['php_output'] = '<style>
#sidebar-first .left-nav-level-1 ul.menu li a span.actu-link-<?php echo $row->nid; ?> { 
font-weight: bold;
}
</style>';
  $handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php']['php_click_sortable'] = '';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Filtre contextuel: Contenu : Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'nid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Nid',
    ),
  );

  /* Display: Actualites CSS titre switcher */
  $handler = $view->new_display('panel_pane', 'Actualites CSS titre switcher', 'panel_pane_3');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['style_options']['default_row_class'] = FALSE;
  $handler->display->display_options['style_options']['row_class_special'] = FALSE;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Contenu : Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Champ: Global : PHP */
  $handler->display->display_options['fields']['php']['id'] = 'php';
  $handler->display->display_options['fields']['php']['table'] = 'views';
  $handler->display->display_options['fields']['php']['field'] = 'php';
  $handler->display->display_options['fields']['php']['label'] = '';
  $handler->display->display_options['fields']['php']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['php']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php']['php_value'] = '$row->nid';
  $handler->display->display_options['fields']['php']['php_output'] = '<style>
.title-actu.title-a-venir {
display: block;
}
.title-actu.title-passees {
display: none;
}
</style>';
  $handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php']['php_click_sortable'] = '';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Filtre contextuel: Contenu : Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_actu' => 'popsu_actu',
  );
  /* Critère de filtrage: Contenu : Date de début de validité de l&#039;actualité (field_popsu_actu_date) */
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['id'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['table'] = 'field_data_field_popsu_actu_date';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['field'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['operator'] = '>';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['default_date'] = 'now';
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'nid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Nid',
    ),
  );

  /* Display: Actualites A venir Block */
  $handler = $view->new_display('block', 'Actualites A venir Block', 'block_3');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Actualités, appels d\'offre et consultations';
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Contenu : Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '<span class="actu-link actu-link-[nid]">[title]</span>';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Champ: Contenu : Date de début de validité de l'actualité */
  $handler->display->display_options['fields']['field_popsu_actu_date']['id'] = 'field_popsu_actu_date';
  $handler->display->display_options['fields']['field_popsu_actu_date']['table'] = 'field_data_field_popsu_actu_date';
  $handler->display->display_options['fields']['field_popsu_actu_date']['field'] = 'field_popsu_actu_date';
  $handler->display->display_options['fields']['field_popsu_actu_date']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_actu_date']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_actu_date']['settings'] = array(
    'format_type' => 'popsu_yyyy_mm_dd',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Champ: Contenu : Date de fin de validité de l'actualité */
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['id'] = 'field_popsu_actu_date_fin';
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['table'] = 'field_data_field_popsu_actu_date_fin';
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['field'] = 'field_popsu_actu_date_fin';
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['alter']['text'] = 'du [field_popsu_actu_date] au [field_popsu_actu_date_fin]';
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['empty'] = '[field_popsu_actu_date]';
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['settings'] = array(
    'format_type' => 'popsu_yyyy_mm_dd',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Champ: Contenu : Sous-titre de l'actualité */
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['id'] = 'field_popsu_actu_soustitre';
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['table'] = 'field_data_field_popsu_actu_soustitre';
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['field'] = 'field_popsu_actu_soustitre';
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['alter']['text'] = '[field_popsu_actu_soustitre]';
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['empty'] = '[field_popsu_actu_date_fin]';
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['empty_zero'] = TRUE;
  /* Champ: Contenu : Texte de l'actualité */
  $handler->display->display_options['fields']['field_popsu_actu_body']['id'] = 'field_popsu_actu_body';
  $handler->display->display_options['fields']['field_popsu_actu_body']['table'] = 'field_data_field_popsu_actu_body';
  $handler->display->display_options['fields']['field_popsu_actu_body']['field'] = 'field_popsu_actu_body';
  $handler->display->display_options['fields']['field_popsu_actu_body']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_actu_body']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_body']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Image de l'actualité */
  $handler->display->display_options['fields']['field_popsu_actu_image']['id'] = 'field_popsu_actu_image';
  $handler->display->display_options['fields']['field_popsu_actu_image']['table'] = 'field_data_field_popsu_actu_image';
  $handler->display->display_options['fields']['field_popsu_actu_image']['field'] = 'field_popsu_actu_image';
  $handler->display->display_options['fields']['field_popsu_actu_image']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_actu_image']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_image']['alter']['text'] = '<div class="actu-col-img">[field_popsu_actu_image]</div>
<div class="actu-col-body">[field_popsu_actu_body]</div>';
  $handler->display->display_options['fields']['field_popsu_actu_image']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_actu_image']['empty'] = '[field_popsu_actu_body]';
  $handler->display->display_options['fields']['field_popsu_actu_image']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_image']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_popsu_actu_image']['settings'] = array(
    'image_style' => 'popsu-actu-listing',
    'image_link' => '',
  );
  /* Champ: Contenu : Pièces jointes à cette actualité */
  $handler->display->display_options['fields']['field_popsu_actu_attachment']['id'] = 'field_popsu_actu_attachment';
  $handler->display->display_options['fields']['field_popsu_actu_attachment']['table'] = 'field_data_field_popsu_actu_attachment';
  $handler->display->display_options['fields']['field_popsu_actu_attachment']['field'] = 'field_popsu_actu_attachment';
  $handler->display->display_options['fields']['field_popsu_actu_attachment']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_actu_attachment']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_actu_attachment']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_popsu_actu_attachment']['delta_offset'] = '0';
  $handler->display->display_options['fields']['field_popsu_actu_attachment']['separator'] = ' ';
  /* Champ: Contenu : Lien de modification */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = TRUE;
  /* Champ: Contenu : Lien de publication */
  $handler->display->display_options['fields']['publishcontent']['id'] = 'publishcontent';
  $handler->display->display_options['fields']['publishcontent']['table'] = 'node';
  $handler->display->display_options['fields']['publishcontent']['field'] = 'publishcontent';
  $handler->display->display_options['fields']['publishcontent']['label'] = '';
  $handler->display->display_options['fields']['publishcontent']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['publishcontent']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['publishcontent']['unpublish'] = 'Supprimer';
  $handler->display->display_options['fields']['publishcontent']['publish'] = 'Récupérer dans la corbeille';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Critère de tri: Contenu : Date de début de validité de l&#039;actualité (field_popsu_actu_date) */
  $handler->display->display_options['sorts']['field_popsu_actu_date_value']['id'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['sorts']['field_popsu_actu_date_value']['table'] = 'field_data_field_popsu_actu_date';
  $handler->display->display_options['sorts']['field_popsu_actu_date_value']['field'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_actu' => 'popsu_actu',
  );
  /* Critère de filtrage: Contenu : Date de fin de validité de l&#039;actualité (field_popsu_actu_date_fin) */
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['id'] = 'field_popsu_actu_date_fin_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['table'] = 'field_data_field_popsu_actu_date_fin';
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['field'] = 'field_popsu_actu_date_fin_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['operator'] = '>';
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['default_date'] = 'now';
  /* Critère de filtrage: Contenu : Date de début de validité de l&#039;actualité (field_popsu_actu_date) */
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['id'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['table'] = 'field_data_field_popsu_actu_date';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['field'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['operator'] = '<=';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['default_date'] = 'now';
  $handler->display->display_options['block_description'] = 'POPSU - Actualites - Block A venir';

  /* Display: Actualites Passees Block */
  $handler = $view->new_display('block', 'Actualites Passees Block', 'block_4');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Actualites a venir';
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'panels_fields';
  $handler->display->display_options['row_options']['layout'] = 'flexible:popsu_70_30_accordion_pic';
  $handler->display->display_options['row_options']['regions'] = array(
    'nid' => 'title_',
    'title' => 'title_',
    'field_popsu_actu_date' => 'title_',
    'field_popsu_actu_date_fin' => 'title_',
    'field_popsu_actu_soustitre' => 'title_',
    'field_popsu_actu_body' => 'title',
    'field_popsu_actu_image' => 'title',
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Contenu : Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '<span class="actu-link actu-link-[nid]">[title]</span>';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Champ: Contenu : Date de début de validité de l'actualité */
  $handler->display->display_options['fields']['field_popsu_actu_date']['id'] = 'field_popsu_actu_date';
  $handler->display->display_options['fields']['field_popsu_actu_date']['table'] = 'field_data_field_popsu_actu_date';
  $handler->display->display_options['fields']['field_popsu_actu_date']['field'] = 'field_popsu_actu_date';
  $handler->display->display_options['fields']['field_popsu_actu_date']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_actu_date']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_actu_date']['settings'] = array(
    'format_type' => 'popsu_yyyy_mm_dd',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Champ: Contenu : Date de fin de validité de l'actualité */
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['id'] = 'field_popsu_actu_date_fin';
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['table'] = 'field_data_field_popsu_actu_date_fin';
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['field'] = 'field_popsu_actu_date_fin';
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['alter']['text'] = 'du [field_popsu_actu_date] au [field_popsu_actu_date_fin]';
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['empty'] = '[field_popsu_actu_date]';
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_date_fin']['settings'] = array(
    'format_type' => 'popsu_yyyy_mm_dd',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Champ: Contenu : Sous-titre de l'actualité */
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['id'] = 'field_popsu_actu_soustitre';
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['table'] = 'field_data_field_popsu_actu_soustitre';
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['field'] = 'field_popsu_actu_soustitre';
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['alter']['text'] = '<div class="actu-pseudo-title">[title]</div>
<div class="actu-pseudo-subtitle">[field_popsu_actu_soustitre] - [field_popsu_actu_date_fin]</div>';
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['empty'] = '<div class="actu-pseudo-title">[title]</div>
<div class="actu-pseudo-subtitle">field_popsu_actu_date_fin]</div>';
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_soustitre']['empty_zero'] = TRUE;
  /* Champ: Contenu : Texte de l'actualité */
  $handler->display->display_options['fields']['field_popsu_actu_body']['id'] = 'field_popsu_actu_body';
  $handler->display->display_options['fields']['field_popsu_actu_body']['table'] = 'field_data_field_popsu_actu_body';
  $handler->display->display_options['fields']['field_popsu_actu_body']['field'] = 'field_popsu_actu_body';
  $handler->display->display_options['fields']['field_popsu_actu_body']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_actu_body']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_body']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Image de l'actualité */
  $handler->display->display_options['fields']['field_popsu_actu_image']['id'] = 'field_popsu_actu_image';
  $handler->display->display_options['fields']['field_popsu_actu_image']['table'] = 'field_data_field_popsu_actu_image';
  $handler->display->display_options['fields']['field_popsu_actu_image']['field'] = 'field_popsu_actu_image';
  $handler->display->display_options['fields']['field_popsu_actu_image']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_actu_image']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_image']['alter']['text'] = '<div class="actu-col-img">[field_popsu_actu_image]</div>
<div class="actu-col-body">[field_popsu_actu_body]</div>';
  $handler->display->display_options['fields']['field_popsu_actu_image']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_actu_image']['empty'] = '[field_popsu_actu_body]';
  $handler->display->display_options['fields']['field_popsu_actu_image']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_image']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_actu_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_popsu_actu_image']['settings'] = array(
    'image_style' => 'popsu-actu-listing',
    'image_link' => '',
  );
  /* Champ: Contenu : Pièces jointes à cette actualité */
  $handler->display->display_options['fields']['field_popsu_actu_attachment']['id'] = 'field_popsu_actu_attachment';
  $handler->display->display_options['fields']['field_popsu_actu_attachment']['table'] = 'field_data_field_popsu_actu_attachment';
  $handler->display->display_options['fields']['field_popsu_actu_attachment']['field'] = 'field_popsu_actu_attachment';
  $handler->display->display_options['fields']['field_popsu_actu_attachment']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_actu_attachment']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_actu_attachment']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_popsu_actu_attachment']['delta_offset'] = '0';
  $handler->display->display_options['fields']['field_popsu_actu_attachment']['separator'] = ' ';
  /* Champ: Contenu : Lien de modification */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = TRUE;
  /* Champ: Contenu : Lien de publication */
  $handler->display->display_options['fields']['publishcontent']['id'] = 'publishcontent';
  $handler->display->display_options['fields']['publishcontent']['table'] = 'node';
  $handler->display->display_options['fields']['publishcontent']['field'] = 'publishcontent';
  $handler->display->display_options['fields']['publishcontent']['label'] = '';
  $handler->display->display_options['fields']['publishcontent']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['publishcontent']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['publishcontent']['unpublish'] = 'Supprimer';
  $handler->display->display_options['fields']['publishcontent']['publish'] = 'Récupérer dans la corbeille';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Critère de tri: Contenu : Date de début de validité de l&#039;actualité (field_popsu_actu_date) */
  $handler->display->display_options['sorts']['field_popsu_actu_date_value']['id'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['sorts']['field_popsu_actu_date_value']['table'] = 'field_data_field_popsu_actu_date';
  $handler->display->display_options['sorts']['field_popsu_actu_date_value']['field'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_actu' => 'popsu_actu',
  );
  /* Critère de filtrage: Contenu : Date de fin de validité de l&#039;actualité (field_popsu_actu_date_fin) */
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['id'] = 'field_popsu_actu_date_fin_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['table'] = 'field_data_field_popsu_actu_date_fin';
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['field'] = 'field_popsu_actu_date_fin_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['operator'] = '<=';
  $handler->display->display_options['filters']['field_popsu_actu_date_fin_value']['default_date'] = 'now';
  /* Critère de filtrage: Contenu : Date de début de validité de l&#039;actualité (field_popsu_actu_date) */
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['id'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['table'] = 'field_data_field_popsu_actu_date';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['field'] = 'field_popsu_actu_date_value';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['operator'] = '<=';
  $handler->display->display_options['filters']['field_popsu_actu_date_value']['default_date'] = 'now';
  $handler->display->display_options['block_description'] = 'POPSU - Actualites - Block Passees';
  $translatables['actualites'] = array(
    t('Master'),
    t('Actualités'),
    t('Voir toutes les actualités'),
    t('Appliquer'),
    t('Réinitialiser'),
    t('Trier par'),
    t('Asc'),
    t('Desc'),
    t('Éléments par page'),
    t('- Tout -'),
    t('Décalage'),
    t('« premier'),
    t('‹ précédent'),
    t('suivant ›'),
    t('dernier »'),
    t('/actualites'),
    t('<a href="[path]">[title]</a>'),
    t('[field_popsu_actu_soustitre]'),
    t('<a href="[path]">[field_popsu_actu_body]</a>'),
    t('Modifier cette actu'),
    t('<a href="[path]">voir toutes les actualités</a>'),
    t('voir toutes les actualités'),
    t('Actualite Last for Home Pane'),
    t('Actualite'),
    t('Volets de vue'),
    t('Actualites Menu A venir'),
    t('Actualites a venir'),
    t('plus'),
    t('<span class="actu-link actu-link-[nid]">[title]</span>'),
    t('POPSU - Actualites - Menu A venir'),
    t('Actualites Menu Passees'),
    t('Actualites passees'),
    t('POPSU - Actualites - Menu Passees'),
    t('Actualites CSS menu active'),
    t('Tout'),
    t('Actualites CSS titre switcher'),
    t('Actualites A venir Block'),
    t('Actualités, appels d\'offre et consultations'),
    t('du [field_popsu_actu_date] au [field_popsu_actu_date_fin]'),
    t('[field_popsu_actu_date]'),
    t('[field_popsu_actu_date_fin]'),
    t('<div class="actu-col-img">[field_popsu_actu_image]</div>
<div class="actu-col-body">[field_popsu_actu_body]</div>'),
    t('[field_popsu_actu_body]'),
    t('Supprimer'),
    t('Récupérer dans la corbeille'),
    t('POPSU - Actualites - Block A venir'),
    t('Actualites Passees Block'),
    t('<div class="actu-pseudo-title">[title]</div>
<div class="actu-pseudo-subtitle">[field_popsu_actu_soustitre] - [field_popsu_actu_date_fin]</div>'),
    t('<div class="actu-pseudo-title">[title]</div>
<div class="actu-pseudo-subtitle">field_popsu_actu_date_fin]</div>'),
    t('POPSU - Actualites - Block Passees'),
  );
  $export['actualites'] = $view;

  return $export;
}
