<?php
/**
 * @file
 * popsu_projets.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function popsu_projets_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'projets';
  $view->description = 'Liste des publications';
  $view->tag = 'POPSU';
  $view->base_table = 'node';
  $view->human_name = 'Projets';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'plus';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Appliquer';
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Réinitialiser';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Trier par';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Éléments par page';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- Tout -';
  $handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Décalage';
  $handler->display->display_options['pager']['options']['tags']['first'] = '« premier';
  $handler->display->display_options['pager']['options']['tags']['previous'] = '‹ précédent';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'suivant ›';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'dernier »';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Critère de tri: Contenu : Date de publication */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_projet' => 'popsu_projet',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Projets';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['path'] = 'projets';

  /* Display: Projets par ville Pane */
  $handler = $view->new_display('panel_pane', 'Projets par ville Pane', 'panel_pane_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Les projets';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Filtre contextuel: Contenu : Ville (field_popsu_projet_ville) */
  $handler->display->display_options['arguments']['field_popsu_projet_ville_tid']['id'] = 'field_popsu_projet_ville_tid';
  $handler->display->display_options['arguments']['field_popsu_projet_ville_tid']['table'] = 'field_data_field_popsu_projet_ville';
  $handler->display->display_options['arguments']['field_popsu_projet_ville_tid']['field'] = 'field_popsu_projet_ville_tid';
  $handler->display->display_options['arguments']['field_popsu_projet_ville_tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_projet_ville_tid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_projet_ville_tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_projet_ville_tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_projet_ville_tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_projet_ville_tid']['summary_options']['items_per_page'] = '25';
  /* Filtre contextuel: Contenu : POPSU (field_popsu_projet_popsu) */
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['id'] = 'field_popsu_projet_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['table'] = 'field_data_field_popsu_projet_popsu';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['field'] = 'field_popsu_projet_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_projet_ville_tid' => array(
      'type' => 'user',
      'context' => 'node_edit_form.field_popsu_ville_ville',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Ville (field_popsu_projet_ville)',
    ),
    'field_popsu_projet_popsu_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : POPSU (field_popsu_projet_popsu)',
    ),
  );

  /* Display: Projets par POPSU Pane */
  $handler = $view->new_display('panel_pane', 'Projets par POPSU Pane', 'panel_pane_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['css_class'] = 'listing-grille listing-projets';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'grid';
  $handler->display->display_options['style_options']['default_row_class'] = FALSE;
  $handler->display->display_options['style_options']['columns'] = '2';
  $handler->display->display_options['style_options']['alignment'] = 'vertical';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Entête: Global : Résumé des résultats */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['header']['result']['empty'] = TRUE;
  $handler->display->display_options['header']['result']['content'] = '@total projets';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Ville */
  $handler->display->display_options['fields']['field_popsu_projet_ville']['id'] = 'field_popsu_projet_ville';
  $handler->display->display_options['fields']['field_popsu_projet_ville']['table'] = 'field_data_field_popsu_projet_ville';
  $handler->display->display_options['fields']['field_popsu_projet_ville']['field'] = 'field_popsu_projet_ville';
  $handler->display->display_options['fields']['field_popsu_projet_ville']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_projet_ville']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_projet_ville']['alter']['text'] = '[title] <span class="listing-projet-ville">([field_popsu_projet_ville])</span>';
  $handler->display->display_options['fields']['field_popsu_projet_ville']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_projet_ville']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_projet_ville']['type'] = 'taxonomy_term_reference_plain';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Critère de tri: Contenu : Titre */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Filtre contextuel: Contenu : POPSU (field_popsu_projet_popsu) */
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['id'] = 'field_popsu_projet_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['table'] = 'field_data_field_popsu_projet_popsu';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['field'] = 'field_popsu_projet_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_projet_ville_tid' => array(
      'type' => 'user',
      'context' => 'node_edit_form.field_popsu_ville_ville',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Ville (field_popsu_projet_ville)',
    ),
    'field_popsu_projet_popsu_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : POPSU (field_popsu_projet_popsu)',
    ),
  );

  /* Display: Contenus liés Projet NID */
  $handler = $view->new_display('panel_pane', 'Contenus liés Projet NID', 'panel_pane_3');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['css_class'] = 'listing-grille listing-projets';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['style_options']['default_row_class'] = FALSE;
  $handler->display->display_options['style_options']['row_class_special'] = FALSE;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['default_field_elements'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  $handler->display->display_options['defaults']['footer'] = FALSE;
  /* Pied de page: Global : PHP */
  $handler->display->display_options['footer']['php']['id'] = 'php';
  $handler->display->display_options['footer']['php']['table'] = 'views';
  $handler->display->display_options['footer']['php']['field'] = 'php';
  $handler->display->display_options['footer']['php']['php_output'] = '<style>
#main-wrapper #block-menu_block-1 .menu-name-menu-popsu1-menu > ul.menu {
	background: url(/sites/default/themes/popsu/img/icons/voir-egalement-trans.png) no-repeat bottom right;
	padding-bottom: 15px;
	margin-bottom: 0;
}
</style>';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relation: Contenu : Projets &amp; thèmes liés (field_popsu_projet_lies) */
  $handler->display->display_options['relationships']['field_popsu_projet_lies_nid']['id'] = 'field_popsu_projet_lies_nid';
  $handler->display->display_options['relationships']['field_popsu_projet_lies_nid']['table'] = 'field_data_field_popsu_projet_lies';
  $handler->display->display_options['relationships']['field_popsu_projet_lies_nid']['field'] = 'field_popsu_projet_lies_nid';
  $handler->display->display_options['relationships']['field_popsu_projet_lies_nid']['required'] = TRUE;
  $handler->display->display_options['relationships']['field_popsu_projet_lies_nid']['delta'] = '-1';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Contenu : Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['relationship'] = 'field_popsu_projet_lies_nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['nid']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['nid']['hide_empty'] = TRUE;
  /* Champ: Global : PHP */
  $handler->display->display_options['fields']['php']['id'] = 'php';
  $handler->display->display_options['fields']['php']['table'] = 'views';
  $handler->display->display_options['fields']['php']['field'] = 'php';
  $handler->display->display_options['fields']['php']['label'] = '';
  $handler->display->display_options['fields']['php']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['php']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['php']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['php']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php']['php_value'] = '$row->nid';
  $handler->display->display_options['fields']['php']['php_output'] = '<style>
#sidebar-first ul.menu li.nid-<?php echo $row->nid; ?> { 
	background: url(/sites/default/themes/popsu/img/icons/voir-egalement-left-trans.png) no-repeat top left;
	padding-left: 15px;
}
#sidebar-first .left-nav-level-2 ul.menu li ul li.nid-<?php echo $row->nid; ?> a {
	font-family: OpenSansBoldItalic, verdana,arial,helvetica,sans-serif;
	background: url(/sites/default/themes/popsu/img/icons/voir-egalement-right-trans.png) no-repeat top right;
	padding-right: 15px;
	display: inline;
} 
</style>';
  $handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php']['php_click_sortable'] = '';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Critère de tri: Contenu : Titre */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Filtre contextuel: Contenu : Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_projet' => 'popsu_projet',
    'popsu_theme_local' => 'popsu_theme_local',
  );
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'nid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Nid',
    ),
  );

  /* Display: Projets par POPSU Pane Thumbs */
  $handler = $view->new_display('panel_pane', 'Projets par POPSU Pane Thumbs', 'panel_pane_4');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['css_class'] = 'listing-grille';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['row_class'] = 'span2';
  $handler->display->display_options['style_options']['wrapper_class'] = 'listing-thumb clearfix listing-projets';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Entête: Global : Résumé des résultats */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['header']['result']['empty'] = TRUE;
  $handler->display->display_options['header']['result']['content'] = '@total projets';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Contenu : Image d'introduction */
  $handler->display->display_options['fields']['field_popsu_projet_imageintro']['id'] = 'field_popsu_projet_imageintro';
  $handler->display->display_options['fields']['field_popsu_projet_imageintro']['table'] = 'field_data_field_popsu_projet_imageintro';
  $handler->display->display_options['fields']['field_popsu_projet_imageintro']['field'] = 'field_popsu_projet_imageintro';
  $handler->display->display_options['fields']['field_popsu_projet_imageintro']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_projet_imageintro']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_projet_imageintro']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_projet_imageintro']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_popsu_projet_imageintro']['settings'] = array(
    'image_style' => 'popsu-projets-listing-small',
    'image_link' => '',
  );
  $handler->display->display_options['fields']['field_popsu_projet_imageintro']['delta_limit'] = '1';
  $handler->display->display_options['fields']['field_popsu_projet_imageintro']['delta_offset'] = '0';
  /* Champ: Contenu : Chemin */
  $handler->display->display_options['fields']['path']['id'] = 'path';
  $handler->display->display_options['fields']['path']['table'] = 'node';
  $handler->display->display_options['fields']['path']['field'] = 'path';
  $handler->display->display_options['fields']['path']['label'] = '';
  $handler->display->display_options['fields']['path']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['path']['alter']['text'] = '<a href="[path]" class="image-placeover">[field_popsu_projet_imageintro]</a>';
  $handler->display->display_options['fields']['path']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['path']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['path']['absolute'] = TRUE;
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['max_length'] = '35';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['trim'] = TRUE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Ville */
  $handler->display->display_options['fields']['field_popsu_projet_ville']['id'] = 'field_popsu_projet_ville';
  $handler->display->display_options['fields']['field_popsu_projet_ville']['table'] = 'field_data_field_popsu_projet_ville';
  $handler->display->display_options['fields']['field_popsu_projet_ville']['field'] = 'field_popsu_projet_ville';
  $handler->display->display_options['fields']['field_popsu_projet_ville']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_projet_ville']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_projet_ville']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_projet_ville']['alter']['text'] = '[title] <span class="listing-projet-ville">([field_popsu_projet_ville])</span>';
  $handler->display->display_options['fields']['field_popsu_projet_ville']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_projet_ville']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_projet_ville']['type'] = 'taxonomy_term_reference_plain';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Critère de tri: Contenu : Titre */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Filtre contextuel: Contenu : POPSU (field_popsu_projet_popsu) */
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['id'] = 'field_popsu_projet_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['table'] = 'field_data_field_popsu_projet_popsu';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['field'] = 'field_popsu_projet_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_projet_popsu_tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_projet_ville_tid' => array(
      'type' => 'user',
      'context' => 'node_edit_form.field_popsu_ville_ville',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Ville (field_popsu_projet_ville)',
    ),
    'field_popsu_projet_popsu_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : POPSU (field_popsu_projet_popsu)',
    ),
  );
  $translatables['projets'] = array(
    t('Master'),
    t('plus'),
    t('Appliquer'),
    t('Réinitialiser'),
    t('Trier par'),
    t('Asc'),
    t('Desc'),
    t('Éléments par page'),
    t('- Tout -'),
    t('Décalage'),
    t('« premier'),
    t('‹ précédent'),
    t('suivant ›'),
    t('dernier »'),
    t('Page'),
    t('Projets'),
    t('Projets par ville Pane'),
    t('Les projets'),
    t('Tout'),
    t('Volets de vue'),
    t('Projets par POPSU Pane'),
    t('@total projets'),
    t('[title] <span class="listing-projet-ville">([field_popsu_projet_ville])</span>'),
    t('Contenus liés Projet NID'),
    t('field_popsu_projet_lies'),
    t('Projets par POPSU Pane Thumbs'),
    t('<a href="[path]" class="image-placeover">[field_popsu_projet_imageintro]</a>'),
  );
  $export['projets'] = $view;

  return $export;
}
