<?php
/**
 * @file
 * popsu_themes_local.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function popsu_themes_local_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
  list($module, $api) = func_get_args();
  if ($module == "feeds" && $api == "feeds_importer_default") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function popsu_themes_local_views_api() {
  return array("version" => "3.0");
}

/**
 * Implements hook_image_default_styles().
 */
function popsu_themes_local_image_default_styles() {
  $styles = array();

  // Exported image style: popsu-themloc-grande-image.
  $styles['popsu-themloc-grande-image'] = array(
    'name' => 'popsu-themloc-grande-image',
    'effects' => array(
      9 => array(
        'label' => 'Adaptive',
        'help' => 'Adaptive image scale according to client resolution.',
        'effect callback' => 'image_scale_effect',
        'dimensions callback' => 'image_scale_dimensions',
        'form callback' => 'adaptive_image_scale_form',
        'summary theme' => 'adaptive_image_scale_summary',
        'module' => 'adaptive_image',
        'name' => 'adaptive_image',
        'data' => array(
          'resolutions' => '1382, 992, 768, 480',
          'mobile_first' => 1,
          'height' => '',
          'width' => '1382',
          'upscale' => '',
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: popsu-themlocs-listing-small.
  $styles['popsu-themlocs-listing-small'] = array(
    'name' => 'popsu-themlocs-listing-small',
    'effects' => array(
      11 => array(
        'label' => 'Mise à l’échelle et recadrage',
        'help' => 'La mise à l\'échelle et le recadrage maintiendront les proportions originales de l\'image puis recadreront la dimension la plus large. C\'est très utile pour créer des vignettes carrées sans étirer les images.',
        'effect callback' => 'image_scale_and_crop_effect',
        'dimensions callback' => 'image_resize_dimensions',
        'form callback' => 'image_resize_form',
        'summary theme' => 'image_resize_summary',
        'module' => 'image',
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => '101',
          'height' => '87',
        ),
        'weight' => '1',
      ),
    ),
  );

  return $styles;
}

/**
 * Implements hook_node_info().
 */
function popsu_themes_local_node_info() {
  $items = array(
    'popsu_theme_local' => array(
      'name' => t('Thème local'),
      'base' => 'node_content',
      'description' => t('Ce type de contenu permet de créer la fiche de présentation d\'un thème local.'),
      'has_title' => '1',
      'title_label' => t('Intitulé du thème'),
      'help' => '',
    ),
  );
  return $items;
}
