<?php
/**
 * @file
 * popsu_villes.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function popsu_villes_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'villes';
  $view->description = 'Liste des publications';
  $view->tag = 'POPSU';
  $view->base_table = 'node';
  $view->human_name = 'Fiches villes';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'plus';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Appliquer';
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Réinitialiser';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Trier par';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Critère de tri: Contenu : Date de publication */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_ville' => 'popsu_ville',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Villes';
  $handler->display->display_options['path'] = 'villes';

  /* Display: Villes par POPSU Pane */
  $handler = $view->new_display('panel_pane', 'Villes par POPSU Pane', 'panel_pane_1');
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['row_class'] = 'span2';
  $handler->display->display_options['style_options']['default_row_class'] = FALSE;
  $handler->display->display_options['style_options']['class'] = 'listing-villes';
  $handler->display->display_options['style_options']['wrapper_class'] = 'listing-thumb clearfix';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Entête: Global : Résumé des résultats */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['header']['result']['content'] = '@total villes';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Contenu : Grandes images d'illustration */
  $handler->display->display_options['fields']['field_popsu_ville_images_illustr']['id'] = 'field_popsu_ville_images_illustr';
  $handler->display->display_options['fields']['field_popsu_ville_images_illustr']['table'] = 'field_data_field_popsu_ville_images_illustr';
  $handler->display->display_options['fields']['field_popsu_ville_images_illustr']['field'] = 'field_popsu_ville_images_illustr';
  $handler->display->display_options['fields']['field_popsu_ville_images_illustr']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_ville_images_illustr']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_ville_images_illustr']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_popsu_ville_images_illustr']['settings'] = array(
    'image_style' => 'popsu-villes-listing-small',
    'image_link' => 'content',
  );
  $handler->display->display_options['fields']['field_popsu_ville_images_illustr']['delta_limit'] = '1';
  $handler->display->display_options['fields']['field_popsu_ville_images_illustr']['delta_offset'] = '0';
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Critère de tri: Contenu : Titre */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Filtre contextuel: Contenu : POPSU (field_popsu_ville_popsu) */
  $handler->display->display_options['arguments']['field_popsu_ville_popsu_tid']['id'] = 'field_popsu_ville_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_ville_popsu_tid']['table'] = 'field_data_field_popsu_ville_popsu';
  $handler->display->display_options['arguments']['field_popsu_ville_popsu_tid']['field'] = 'field_popsu_ville_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_ville_popsu_tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_ville_popsu_tid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_ville_popsu_tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_ville_popsu_tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_ville_popsu_tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_ville_popsu_tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_ville_popsu_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : POPSU (field_popsu_ville_popsu)',
    ),
  );

  /* Display: Villes par ThemeTrans Pane */
  $handler = $view->new_display('panel_pane', 'Villes par ThemeTrans Pane', 'panel_pane_2');
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['row_class'] = 'span2';
  $handler->display->display_options['style_options']['default_row_class'] = FALSE;
  $handler->display->display_options['style_options']['class'] = 'listing-villes';
  $handler->display->display_options['style_options']['wrapper_class'] = 'listing-thumb clearfix';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Entête: Global : Résumé des résultats */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['header']['result']['content'] = '@total villes';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Critère de tri: Contenu : Titre */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Filtre contextuel: Contenu : POPSU (field_popsu_ville_popsu) */
  $handler->display->display_options['arguments']['field_popsu_ville_popsu_tid']['id'] = 'field_popsu_ville_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_ville_popsu_tid']['table'] = 'field_data_field_popsu_ville_popsu';
  $handler->display->display_options['arguments']['field_popsu_ville_popsu_tid']['field'] = 'field_popsu_ville_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_ville_popsu_tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_ville_popsu_tid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_ville_popsu_tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_ville_popsu_tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_ville_popsu_tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_ville_popsu_tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_popsu_ville_popsu_tid']['break_phrase'] = TRUE;
  /* Filtre contextuel: Contenu : Ville (field_popsu_ville_ville) */
  $handler->display->display_options['arguments']['field_popsu_ville_ville_tid']['id'] = 'field_popsu_ville_ville_tid';
  $handler->display->display_options['arguments']['field_popsu_ville_ville_tid']['table'] = 'field_data_field_popsu_ville_ville';
  $handler->display->display_options['arguments']['field_popsu_ville_ville_tid']['field'] = 'field_popsu_ville_ville_tid';
  $handler->display->display_options['arguments']['field_popsu_ville_ville_tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_ville_ville_tid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_ville_ville_tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_ville_ville_tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_ville_ville_tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_ville_ville_tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_popsu_ville_ville_tid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['field_popsu_ville_ville_tid']['validate']['type'] = 'taxonomy_term';
  $handler->display->display_options['arguments']['field_popsu_ville_ville_tid']['validate_options']['vocabularies'] = array(
    'popsu_villes' => 'popsu_villes',
  );
  $handler->display->display_options['arguments']['field_popsu_ville_ville_tid']['validate_options']['type'] = 'tids';
  $handler->display->display_options['arguments']['field_popsu_ville_ville_tid']['break_phrase'] = TRUE;
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_ville_popsu_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : POPSU (field_popsu_ville_popsu)',
    ),
    'field_popsu_ville_ville_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Ville (field_popsu_ville_ville)',
    ),
  );
  $translatables['villes'] = array(
    t('Master'),
    t('plus'),
    t('Appliquer'),
    t('Réinitialiser'),
    t('Trier par'),
    t('Asc'),
    t('Desc'),
    t('Page'),
    t('Villes'),
    t('Villes par POPSU Pane'),
    t('@total villes'),
    t('Tout'),
    t('Volets de vue'),
    t('Villes par ThemeTrans Pane'),
  );
  $export['villes'] = $view;

  return $export;
}
